package com.zfire.jiasm.syncdata.constant;


import lombok.Getter;

/**
 * 工单当前状态
 * @author yaozx
 * @version 1.0
 * @date 2023-02-22
 */
@Getter
public enum OrderStatusEnum {
    /**
     * 预保存工单
     */
    INSTALL_STATUS_A1100("A1100","预保存工单"),

    /**
     * 已保存工单
     */
    INSTALL_STATUS_I1("A1101","已保存工单"),

    /**
     * 待分部派工
     */
    INSTALL_STATUS_I2("A1121","待分部派工"),

    /**
     * 待分部预派工
     */
    INSTALL_STATUS_A1122("A1122","待分部预派工"),

    /**
     * 格力品牌省份信息接口
     */
    INSTALL_STATUS_I3("A1125","待分中心派工"),

    /**
     * 待网点派工
     */
    INSTALL_STATUS_I4("A1129","待网点派工"),

    /**
     * 待网点预派工
     */
    INSTALL_STATUS_A1130("A1130","待网点预派工"),

    /**
     * 待审批改派
     */
    INSTALL_STATUS_I5("A1135","待审批改派"),

    /**
     * 服务人员待接收
     */
    INSTALL_STATUS_I6("A1301","服务人员待接收"),

    /**
     * 服务人员报完工
     */
    INSTALL_STATUS_I7("A1304","服务人员报完工"),

    /**
     * 服务人员申请售后处理
     */
    INSTALL_STATUS_I8("A1307","服务人员申请售后处理"),

    /**
     * 已作废工单
     */
    INSTALL_STATUS_I9("A1308","已作废工单"),

    /**
     * 已关闭工单
     */
    INSTALL_STATUS_I10("A1309","已关闭工单"),

    REPAIR_STATUS_R1("B1","保存"),
    REPAIR_STATUS_R2("B2","待分部派工"),
    REPAIR_STATUS_R3("B3","待分中心派工"),
    REPAIR_STATUS_R4("B4","待网点派工"),
    REPAIR_STATUS_R5("B5","待审批改派"),
    REPAIR_STATUS_R6("B6","待审批支援"),
    REPAIR_STATUS_R7("B18","待服务人员处理"),// 20,21,22,23,24
    REPAIR_STATUS_R8("B41","服务人员报完工"),
    REPAIR_STATUS_R9("B51","网点报完工"),
    REPAIR_STATUS_R10("B61","分中心报完工"),
    REPAIR_STATUS_R11("B71","分部报完工"),
    REPAIR_STATUS_R12("B100","历史信息"),
    REPAIR_STATUS_R13("B101","批量关闭"),
    REPAIR_STATUS_R14("B102","正常关闭"),
    REPAIR_STATUS_R15("B103","异常关闭"),


    ;




    /**
     * 编码
     */
    private final String code;


    private final String text;

    OrderStatusEnum(String code, String text) {
        this.code = code;
        this.text = text;
    }

    public static OrderStatusEnum getByCode(String code) {
        for (OrderStatusEnum item : values()) {
            if (code.equals(item.getCode())) {
                return item;
            }
        }
        return null;
    }

    /**
     * @param code: code
     * @return 对应枚举
     **/
    public static String getMessageByCode(String code) {
        String result = null;
        for (OrderStatusEnum item : values()) {
            if (code.equals(item.getCode())) {
                result = item.getText();
                break;
            }
        }
        return result;
    }
}
