package com.zfire.jiasm.syncdata.service;

import com.zfire.jiasm.syncdata.plus.entity.Brand;
import com.zfire.jiasm.syncdata.plus.entity.OrderBase;
import com.zfire.jiasm.syncdata.plus.entity.OrderWorker;
import com.zfire.jiasm.syncdata.plus.entity.SysDictRef;
import com.zfire.jiasm.syncdata.response.WebsitPP;
import com.zfire.jiasm.syncdata.response.WebsitSH;

import java.util.List;
import java.util.Map;

public interface PublicService {

    OrderWorker getOrderWorker(OrderBase orderBase);
    List<OrderWorker> getWorker(String workerId,String orderBaseId);
    void deleteWorker(String orderBaseId);
    // 提取品牌商对应的大类信息
    Map<String, List<SysDictRef>> getStringListMap(Brand brand);
    // 提取品牌商对应的小类信息
    Map<String, List<SysDictRef>> getListMap(Brand brand);
    // 提取品牌商对应的系列信息
    Map<String, List<SysDictRef>> getMap(Brand brand);

    // 品牌网点对应商户网点
    WebsitSH WebsitToSH(String websitNo, String brandId);
    // 商户网点对应品牌网点
    WebsitPP WebsitToPP(String websitNo, String brandId);
    String getSHWDPhone(String websitNo);



}
